<template>
  <navBar :title="title" ></navBar>
  <web-view :src="url"  :webview-styles="webviewStyles"></web-view>
</template>

<script>
import navBar from "@/components/navBar/navBar.vue"
export default {
  data() {
    return {
      url: '',
      title: '新闻详情',
      webviewStyles: {
        width: '100%',
        height: 'calc(100vh - 160px)'
      }
    }
  },
  onLoad(item) {
    // 传入需要跳转的链接 使用web-view标签进行跳转
    this.url = decodeURIComponent(item.url)
    this.title = item.title;
    // console.log(this.url)
  }
}
</script>
